none
unable to launch device EXE

    Question

  • Hi I am developing application using Pocket PC 2003 SDK.
    Now I want to test the application using the application verifier provided by Windows CE 5.0.

    However, when I want to connect to pocket PC emulator from the Application Verifier which is located in C:\Program Files\Windows CE Platform Builder\5.00\cepb\wcetk\ddtk\desktop\appverifce.exe, it always gives me an error : Connect To Device Error, Unable to launch device.EXE.

    Anybody ever experience the same problem?
    I welcome any suggestion.
    Thank in advanced.
    Wednesday, August 31, 2005 9:41 AM

Answers

  • There's a recent whitepaper that was released with respect to AppVerifier
    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnce50/html/appverifier_wince.asp

    I believe the error you are seeing is because of OS version mismatch.
    From the article:
    Application Verifier is closely tied to the version of Windows CE it is written for. Because of this dependency, you must use the correct version of Platform Builder for the device platform you are targeting. For example, if you want to use Application Verifier on Windows Mobile 2003 devices, you should use the version of Application Verifier that comes with Platform Builder version 4.2

    Try the CE4.2 AppVerifier and that will hopefully unblock you.

    Mario
    Thursday, September 01, 2005 9:33 PM

All replies

  • There's a recent whitepaper that was released with respect to AppVerifier
    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnce50/html/appverifier_wince.asp

    I believe the error you are seeing is because of OS version mismatch.
    From the article:
    Application Verifier is closely tied to the version of Windows CE it is written for. Because of this dependency, you must use the correct version of Platform Builder for the device platform you are targeting. For example, if you want to use Application Verifier on Windows Mobile 2003 devices, you should use the version of Application Verifier that comes with Platform Builder version 4.2

    Try the CE4.2 AppVerifier and that will hopefully unblock you.

    Mario
    Thursday, September 01, 2005 9:33 PM
  • The article states:

    Although there isn't a version of Platform Builder for Windows CE 5.01, Microsoft will be releasing an unsupported version of Application Verifier that works with Windows Mobile 5.0 soon. For more information, see the Windows Mobile developer Web site.

    Is there a new version of Application Verifier for Windows Mobile 5 available?

    Thanks,

    Frank

    Wednesday, January 04, 2006 3:33 PM
  • Now there isn't a new version of App Verifier, however, the following like describes how to get it going for WM 6.x by using a combination of CETK, App Verifier for WM 5

    Check out http://windowsteamblog.com/blogs/windowsphone/archive/2009/07/26/windows-mobile-application-verifier.aspx

    For the latest information and tools on getting this working. It also includes some additional pointers on getting it working.

    Friday, August 07, 2009 8:10 PM